#
# spec file for package providers (Version 2006.1.25)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           providers
Version:        2006.1.25
Release:        11.2
License:        GPL
Group:          Hardware/Modem
Source0:        %{name}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Summary:        A list of internet service providers
BuildArchitectures:	noarch

%description
A list of predefined internet service providers which are used for
configuration with YaST2.



%debug_package
%prep
%setup -q -n %{name}

%build
./check_unique
./check_utf-8

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/share/providers
install -m 644 *.conf $RPM_BUILD_ROOT/usr/share/providers/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%dir /usr/share/providers
%config /usr/share/providers/*

%changelog -n providers
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 16 2005 - lmichnovic@suse.cz
- update of conf file for New Zealand (reopened #114061)
* Tue Aug 30 2005 - mjancar@suse.cz
- update comments in providers for New Zealand (#114061)
* Mon Oct 25 2004 - arvin@suse.de
- added providers for New Zealand (from Volker Kuhlmann)
* Thu Sep 23 2004 - arvin@suse.de
- updated phone number of ISP "Lübecker Nachrichten"
* Thu Apr 01 2004 - mjancar@suse.cz
- add Tux-NET provider (#37841)
* Mon Mar 15 2004 - mjancar@suse.cz
- fix phone number of Centrum provider (#33577)
* Wed Feb 25 2004 - arvin@suse.de
- added phone number for AOL (bug #34698)
* Wed Feb 18 2004 - arvin@suse.de
- added AOL and KAMP to German DB (bug #34698)
* Thu Feb 05 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Sep 12 2003 - mjancar@suse.cz
- CZ.conf
  * add HOTLINE
  * remove redundant CR from provider names
* Wed Sep 10 2003 - mjancar@suse.cz
- update Czech ISPs list (#30330)
- add Czech DSL ISPs (#30185)
* Thu Sep 04 2003 - mjancar@suse.cz
- add iDNES (#29914)
- add EGGENET
* Tue Jul 01 2003 - mjancar@suse.cz
- fix slovenian country code
* Mon Jun 02 2003 - arvin@suse.de
- added AON
* Thu Feb 13 2003 - nadvornik@suse.cz
- added slovenian providers
* Thu Jan 09 2003 - arvin@suse.de
- added 1&1 to german providers (bug #21972)
* Thu Jan 09 2003 - msvec@suse.de
- added UIMODEs to T-Online providers (#16291)
- added T-Online DSL Business (#16291)
* Fri Dec 20 2002 - arvin@suse.de
- mark conf files as utf-8 encoded
- check during build that conf files are utf-8 encoded
* Sun Sep 08 2002 - arvin@suse.de
- updated German provider absolventen.net and wel.de
* Tue Sep 03 2002 - nadvornik@suse.cz
- fixed CZ providers phone numbers for upcoming renumbering
* Thu Jul 25 2002 - nadvornik@suse.cz
- updated hungarian providers
* Tue Jul 02 2002 - nashif@suse.de
- Added canadian providers
* Mon Jun 17 2002 - arvin@suse.de
- updated entry arcor
* Mon Jun 10 2002 - msvec@suse.cz
- remove superfluous "Dialer" string
* Fri May 10 2002 - msvec@suse.cz
- UK -> GB
* Wed Apr 03 2002 - egmont@suselinux.hu
- added Hungarian providers
* Tue Mar 12 2002 - arvin@suse.de
- fixed file permissions
* Fri Mar 08 2002 - kukuk@suse.de
- Add /usr/share/providers to filelist
* Fri Mar 08 2002 - arvin@suse.de
- cheaper phone number for mobilcom (bug #14658)
* Wed Mar 06 2002 - arvin@suse.de
- checked and updated german providers
* Mon Feb 25 2002 - arvin@suse.de
- fixed komtel entry
* Thu Feb 21 2002 - arvin@suse.de
- the parameters ASKPASSWORD, STUPIDMODE and COMPUSERVE are
  "yes" or "no" not "1" or "0"
* Thu Feb 21 2002 - arvin@suse.de
- added t-online dsl (bug #13399) and komtel to german providers
- use correct encoding (bug #11831)
* Thu Feb 21 2002 - pblahos@suse.cz
- As the privider files have nothing to do with wvdial, they have
  been renamed from XX.wvdial.conf to XX.conf.
* Wed Feb 20 2002 - pblahos@suse.cz
- Provider files and script for fetching US providers converted to
  new format.
* Wed Feb 13 2002 - nadvornik@suse.cz
- fixed czech providers
* Wed Feb 13 2002 - nadvornik@suse.cz
- added dutch providers
* Mon Feb 11 2002 - nadvornik@suse.cz
- updated czech and US providers
* Wed Jan 30 2002 - arvin@suse.de
- added T-Online (DSL) to german providers
* Wed Sep 26 2001 - dan@suse.cz
- fixed usename and password for provider Contactel (Czech Rep.)
* Sun Sep 16 2001 - arvin@suse.de
- updated german providers and added dns entries for most
  german providers
* Wed Sep 05 2001 - msvec@suse.cz
- unify homepage urls (#10068)
* Mon Aug 06 2001 - arvin@suse.de
- corrected data for argonsoft (bug #9399)
* Fri Aug 03 2001 - dan@suse.cz
- added user and password for provider Volny (Czech Rep.)
- sources tarballed
* Mon Jul 23 2001 - arvin@suse.de
- added provider msn (for germany) (bug #7705)
- started to add dns entries
* Thu May 17 2001 - arvin@suse.de
- removed US providers, since they all do not work (bug #7859)
* Mon May 14 2001 - bk@suse.de
- fixed UK Totalize phone number (now set to 0845 300 1470)
* Wed May 09 2001 - pblaha@suse.cz
- add priority for Arcor, Mobilcom, UUNet, Planet-Intercom, Spray
* Mon May 07 2001 - arvin@suse.de
- Removed Callino (they are almost bankrupt) (bug #7705).
* Fri May 04 2001 - pblaha@suse.cz
- remove white spaces on the end of phone fields
* Fri Apr 27 2001 - arvin@suse.de
- set "ISDN supported = 1" for T-Online
* Fri Apr 20 2001 - pblaha@suse.cz
- add Priority tag for UK provider "Totalise"
* Tue Apr 17 2001 - arvin@suse.de
- added UK provider "Totalise"
- removed UK provider "Mailbox"
* Tue Apr 03 2001 - arvin@suse.de
- added UK provider "hotlinks"
* Thu Mar 22 2001 - pblaha@suse.cz
- fix my error in spec file
* Fri Mar 16 2001 - pblaha@suse.cz
- add new two czech free providers Kiwwi and Centrum
- use recode for CZ.wvdial.conf latin2 -> UTF
* Wed Jan 24 2001 - bk@suse.de
- DE.wvdial.conf: remove not working provider buntcom
- DE.wvdial.conf: remove ae umlauts from passwords(yast2 uses UTF)
- fixes bug #4998
* Thu Jan 18 2001 - bk@suse.de
- fix for duplicate list item in current YaST2 provider list widget
- removed some german providers(missing info/no service/obsolete)
- added missing homepages
* Sun Jan 14 2001 - arvin@suse.de
- fixed provider name conflict
* Sat Jan 13 2001 - bk@suse.de
- Updated DE.wvdial.conf; new Internet by Call Providers, fix Bug#4998
- removed DE.wvdial.conf.disabled (obsolete)
* Mon Jan 08 2001 - arvin@suse.de
- added script to check for uniques of providers
- removed some duplicate providers from US list
* Thu Dec 28 2000 - kendy@suse.cz
- script generating the US providers
- US.wvdial.conf added
* Tue Dec 19 2000 - smid@suse.cz
- CZ.wvdial.conf fixed [#4732]
* Tue Dec 12 2000 - arvin@suse.de
- added rebel network to UK list
* Tue Dec 05 2000 - smid@suse.cz
- new dialer ispda_ostrava to CZ.wvdial.conf
* Mon Nov 27 2000 - arvin@suse.de
- renamed compuserve_de to compuserve and removed compuserve
* Thu Nov 23 2000 - arvin@suse.de
- new phone number of compuserve germany
* Mon Nov 13 2000 - kendy@suse.cz
- 4 UK providers added
* Tue Oct 31 2000 - smid@suse.cz
- Initial version
